Page MenuHomePhabricator

Add symfony/validator to mediawiki-vendor
Closed, ResolvedPublic2 Story Points

Description

WikibaseLexeme uses some classes from symfony/validator library for validation of requests to its API modules.

This library is not part of WMF's mediawiki vendor component yet, so it would need to be added there in order to install WikibaseLexeme on WMF's production infrastructure.

Tasks needed in order to achieve this include:

  • security review of the library
  • adding the required version of the library to mediawiki vendor component.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 5 2018, 9:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek triaged this task as High priority.Apr 5 2018, 12:16 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek set the point value for this task to 2.Apr 6 2018, 11:44 AM

Previously discussed in T90885 w/o result.

Pablo-WMDE updated the task description. (Show Details)Apr 6 2018, 1:21 PM

Let's not jump to conclusions just yet.
@Addshore Aside of the excess work, do you see disadvantages in assuming it will be needed and putting it into the vendor component? We could remove it if it ends up being unused?!

Let's not jump to conclusions just yet.
@Addshore Aside of the excess work, do you see disadvantages in assuming it will be needed and putting it into the vendor component?

No disadvantages if we are using it.
But right now we are still blocked on T191638 for adding it to mediawiki-vendor.

We could remove it if it ends up being unused?!

Yes.

Change 432098 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/vendor@master] Added symfony/validator 3.4.9, and symfony/translation 4.0.8

https://gerrit.wikimedia.org/r/432098

Change 432144 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/vendor@master] Specify "symfony/translation": "3.4.9"

https://gerrit.wikimedia.org/r/432144

Change 432098 merged by jenkins-bot:
[mediawiki/vendor@master] Added symfony/validator 3.4.9, and symfony/translation 3.4.9

https://gerrit.wikimedia.org/r/432098

Change 432144 merged by jenkins-bot:
[mediawiki/vendor@master] Specify "symfony/translation": "3.4.9"

https://gerrit.wikimedia.org/r/432144

Addshore closed this task as Resolved.May 9 2018, 9:41 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 9 2018, 9:41 PM